Package net.shibboleth.idp.installer.plugin.impl

# Enum Class PluginInstallerArguments.OperationType

java.lang.Object
java.lang.Enum<PluginInstallerArguments.OperationType>
net.shibboleth.idp.installer.plugin.impl.PluginInstallerArguments.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<PluginInstallerArguments.OperationType>`, `Constable`

Enclosing class:
  PluginInstallerArguments

public static enum PluginInstallerArguments.OperationType extends Enum<PluginInstallerArguments.OperationType>
Operation enum.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTALLDIR`
Install from a local copy.
`INSTALLREMOTE`
Install from the web.
`LIST`
List all installs.
`LISTCONTENTS`
List the contents for the plugin.
`OUTPUTLICENSE`
Print the license file to System.out.
`UNINSTALL`
Uninstall plugin.
`UNKNOWN`
Unknown.
`UPDATE`
Update a known install.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`OperationType()`

## Method Summary

Modifier and Type
Method
Description
`static PluginInstallerArguments.OperationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginInstallerArguments.OperationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UPDATE

public static final PluginInstallerArguments.OperationType UPDATE
Update a known install.

### LIST

public static final PluginInstallerArguments.OperationType LIST
List all installs.

### INSTALLDIR

public static final PluginInstallerArguments.OperationType INSTALLDIR
Install from a local copy.

### INSTALLREMOTE

public static final PluginInstallerArguments.OperationType INSTALLREMOTE
Install from the web.

### UNINSTALL

public static final PluginInstallerArguments.OperationType UNINSTALL
Uninstall plugin.

### OUTPUTLICENSE

public static final PluginInstallerArguments.OperationType OUTPUTLICENSE
Print the license file to System.out.

### LISTCONTENTS

public static final PluginInstallerArguments.OperationType LISTCONTENTS
List the contents for the plugin.

### UNKNOWN

public static final PluginInstallerArguments.OperationType UNKNOWN
Unknown.

## Constructor Details

### OperationType

private OperationType()

## Method Details

### values

public static PluginInstallerArguments.OperationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PluginInstallerArguments.OperationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null